1

Topic: Problem installing iRedMail on Debian 7.5

==== Required information ====
- iRedMail version:
- Store mail accounts in which backend (LDAP/MySQL/PGSQL):
- Linux/BSD distribution name and version:
- Related log if you're reporting an issue:
======== Required information ====
- iRedMail version: 0.8.7
- Store mail accounts in which backend (LDAP/MySQL/PGSQL): MySQL
- Linux/BSD distribution name and version: Debian 7.5 i386
- Related log if you're reporting an issue:
====

I've set up iRedMail on Ubuntu 14.04 without running into issues but decided to move to Debian instead.

Went through the installer options as documented on this site, but upon confirming to start installation, I get this:

< Question > Continue? [y|N]y
< INFO > Installing package(s): mysql-server mysql-client postfix-mysql libapache2-mod-auth-mysql libapache2-mod-php5 php5-imap php5-json php5-gd php5-mcrypt php5-curl mcrypt php-apc php5-mysql postfix postfix-pcre postfix-cluebringer postfix-cluebringer-mysql dovecot-imapd dovecot-pop3d dovecot-lmtpd dovecot-managesieved dovecot-sieve dovecot-mysql amavisd-new libcrypt-openssl-rsa-perl libmail-dkim-perl clamav-freshclam clamav-daemon spamassassin altermime arj zoo nomarch cpio lzop cabextract p7zip rpm unrar-free ripole libmail-spf-perl phpmyadmin python-mysqldb libapache2-mod-wsgi python-jinja2 python-netifaces python-webpy awstats fail2ban bzip2 acl patch cron tofrodos logwatch
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Note, selecting 'php5-common' instead of 'php5-json'
Package amavisd-new is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

Package lzop is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

Package zoo is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

Package unrar-free is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

Package libmail-dkim-perl is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

Package mcrypt is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

Package postfix-mysql is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

Package postfix-pcre is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

Package python-mysqldb is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

Package python-netifaces is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

Package php-apc is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'postfix-mysql' has no installation candidate
E: Unable to locate package libapache2-mod-auth-mysql
E: Package 'mcrypt' has no installation candidate
E: Package 'php-apc' has no installation candidate
E: Package 'postfix-pcre' has no installation candidate
E: Unable to locate package postfix-cluebringer
E: Unable to locate package postfix-cluebringer-mysql
E: Package 'amavisd-new' has no installation candidate
E: Unable to locate package libcrypt-openssl-rsa-perl
E: Package 'libmail-dkim-perl' has no installation candidate
E: Unable to locate package clamav-daemon
E: Unable to locate package altermime
E: Package 'zoo' has no installation candidate
E: Unable to locate package nomarch
E: Package 'lzop' has no installation candidate
E: Package 'unrar-free' has no installation candidate
E: Unable to locate package ripole
E: Package 'python-mysqldb' has no installation candidate
E: Unable to locate package python-jinja2
E: Package 'python-netifaces' has no installation candidate
E: Unable to locate package python-webpy
E: Unable to locate package awstats
E: Unable to locate package tofrodos
E: Unable to locate package logwatch
< ERROR > Installation failed, please check the terminal output.

I am unsure of how to proceed

2

Re: Problem installing iRedMail on Debian 7.5

Do you use Debian official apt repositories? What's the content of file /etc/apt/sources.list?

3

Re: Problem installing iRedMail on Debian 7.5

ZhangHuangbin wrote:

Do you use Debian official apt repositories? What's the content of file /etc/apt/sources.list?

Thanks for the prompt response
contents of my sources.list:

#

# deb cdrom:[Debian GNU/Linux 7.5.0 _Wheezy_ - Official i386 DVD Binary-1 20140426-12:26]/ wheezy contrib main

deb cdrom:[Debian GNU/Linux 7.5.0 _Wheezy_ - Official i386 DVD Binary-1 20140426-12:26]/ wheezy contrib main

deb http://security.debian.org/ wheezy/updates main contrib
deb-src http://security.debian.org/ wheezy/updates main contrib

# wheezy-updates, previously known as 'volatile'
# A network mirror was not selected during install.  The following entries
# are provided as examples, but you should amend them as appropriate
# for your mirror of choice.
#
# deb http://ftp.debian.org/debian/ wheezy-updates main contrib
# deb-src http://ftp.debian.org/debian/ wheezy-updates main contrib



How do I know if I'm using Debian official apt repositories?

4

Re: Problem installing iRedMail on Debian 7.5

Please APPEND below two lines in your /etc/apt/sources.list:

deb http://http.debian.net/debian wheezy main
deb http://http.debian.net/debian wheezy-updates main

Then launch iRedMail installer to finish the installation.

5

Re: Problem installing iRedMail on Debian 7.5

Thanks! That worked.

Would also like to note that choosing not to use a network mirror during configuration of the package manager when I did the fresh install is what caused the problem.